#
# spec file for package adwaita-qt
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if (0%{?is_opensuse} && 0%{?suse_version} < 1500) || 0%{?is_backports}
%bcond_without qt4
%else
%bcond_with qt4
%endif
Name:           adwaita-qt
Version:        1.1.0
Release:        lp152.2.8
Summary:        Adwaita theme for Qt-based applications
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          System/GUI/GNOME
URL:            https://github.com/FedoraQt/adwaita-qt
Source0:        %{url}/archive/%{version}.tar.gz
# PATCH-FIX-UPSTREAM adwaita-qt-upstream-fixes.patch -- Pull in latest fixes from upstream
Patch0:         adwaita-qt-upstream-fixes.patch

BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  libqt5-qtbase-devel
%if %{with qt4}
BuildRequires:  libqt4-devel
%endif

%description
Theme to let Qt applications fit nicely into GNOME desktop.

%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme
Group:          System/GUI/GNOME
Supplements:    packageand(libqt4:gnome-session)

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4

%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
Group:          System/GUI/GNOME
Supplements:    packageand(libQt5Core5:gnome-session)

%description -n adwaita-qt5
Adwaita theme variant for applications utilizing Qt5

%prep
%autosetup -p1

%build
%if %{with qt4}
# Qt4 build and install
%cmake -DUSE_QT4=ON
make %{?_smp_mflags}
cd ..
%cmake_install
%endif

# Qt5 build
rm -rf build
%cmake -DUSE_QT4=OFF
make %{?_smp_mflags}

%install
# Qt5 install
%cmake_install

%if %{with qt4}
%files -n adwaita-qt4
%defattr(-,root,root)
%license LICENSE.LGPL2
%doc README.md
%dir %{_libdir}/qt4/plugins/styles
%{_libdir}/qt4/plugins/styles/adwaita.so
%endif

%files -n adwaita-qt5
%defattr(-,root,root)
%license LICENSE.LGPL2
%doc README.md
%dir %{_libdir}/qt5/plugins/styles
%{_libdir}/qt5/plugins/styles/adwaita.so

%changelog
* Fri Oct  4 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add adwaita-qt-upstream-fixes.patch: Pull in latest fixes from
  upstream.
* Fri Aug  2 2019 Antonio Larrosa <alarrosa@suse.com>
- Update to 1.1.0:
  * support for the new refreshed Adwaita theme
- Update to 1.0.91:
  * removed alternating rows in views
  * removed frame in locked dock widget
  * fixed build against qt4
  * fixed view items not appearing in qt4 apps
  * fixed scrollbar colors
  * fixed menu item accelerator color
  * fixed menu item separator color and height
- Update to 1.0.90:
  * support for the new refreshed Adwaita theme
* Wed Apr 17 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Only build the -Qt4 variant up to suse_version 1500.
* Thu Feb 22 2018 fcrozat@suse.com
- Do not build with Qt4 on SLE15.
- Use the new license tag for license files.
* Fri Aug 11 2017 fcrozat@suse.com
- Update to version 1.0 (no changelog but only theming
  improvements).
- common subpackage no longer exists.
* Tue Mar  8 2016 tchvatal@suse.com
- Fix license
- Remove pointless requires
* Mon Mar  7 2016 tchvatal@suse.com
- Add supplements to libqt{4,5} and gnome-session
* Mon Mar  7 2016 tchvatal@suse.com
- Tweak a bit so it builds for me
* Thu Jul 30 2015 zaitor@opensuse.org
- Initial build.
